upgrade CRM 3.0 on SQL 2000 to CRM 4.0 on SQL 2008 (error)

upgrade CRM 3.0 on SQL 2000 to CRM 4.0 on SQL 2008 (error)

Post by R2xlbiBhdC » Thu, 12 Mar 2009 00:37:01


I am trying to upgrade CRM 3.0 on SQL 2000 to CRM 4.0 on SQL 2008 and getting
this error. (I know CRM 3.0 doesnt support SQL 2008, so a '1' step upgrade
might have its risks).

"Action Microsoft.CRM.Setup.Server.GrantConfigDBDatabaseAccessAction
failed. The DEFAULT_SCHEMA clause cannot be used with a windows group or with
principals mapped to certificates or asymmetric keys".


I'm trying this in a virtual environment first.

Any comments on this?

Thanx

Glen
 
 
 

upgrade CRM 3.0 on SQL 2000 to CRM 4.0 on SQL 2008 (error)

Post by RGFuaWV » Thu, 02 Apr 2009 09:38:01

Hi Glen,

Upgrade CRM 3.0 to SQL Server 2005 Evaluation .
then upgrade to CRM 4.0 on SQL Server 2005.
Take backup of CRM Databases.
Then install SQL Server 2008 fresh and restore CRM databases.

See if this works?



Regards,
Daniel.